Qt 5.7 | Qt 3D | C++ Classes | QMouseDevice

Qt 5.7.1 Reference Documentation

# QMouseDevice Class

(Qt3DInput::QMouseDevice)

Delegates mouse events to the attached MouseHandler objects. More...

Header: | #include <QMouseDevice>
qmake: | QT += 3dinput
Since: | Qt 5.5
Instantiated By: | MouseDevice
Inherits: | Qt3DInput::QAbstractPhysicalDevice

- List of all members, including inherited members

## Public Types

enum | Axis { X, Y }

## Properties

- sensitivity : float

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QMouseDevice(Qt3DCore::QNode *parent = nullptr)
float | sensitivity() const

## Reimplemented Public Functions

virtual int | axisCount() const
virtual int | axisIdentifier(const QString &name) const
virtual QStringList | axisNames() const
virtual int | buttonCount() const
virtual QStringList | buttonNames() const

- 9 public functions inherited from Qt3DInput::QAbstractPhysicalDevice
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSensitivity(float value)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | sensitivityChanged(float value)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 protected function inherited from Qt3DInput::QAbstractPhysicalDevice
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Delegates mouse events to the attached MouseHandler objects.

A QMouseDevice delegates mouse events from physical mouse device to QMouseHandler objects. The sensitivity of the mouse can be controlled with the QMouseDevice::sensitivity property, which specifies the rate in which the logical mouse coordinates change in response to physical movement of the mouse.

See also QMouseHandler.

## Member Type Documentation

### enum QMouseDevice::Axis

The mouse axis.

Constant | Value
--- | ---
`Qt3DInput::QMouseDevice::X` | `0`
`Qt3DInput::QMouseDevice::Y` | `1`

See also Qt3DInput::QAnalogAxisInput::setAxis.

## Property Documentation

### sensitivity : float

Holds the sensitivity of the mouse device. Default is 0.1.

Access functions:

float | sensitivity() const
void | setSensitivity(float value)

Notifier signal:

void | sensitivityChanged(float value)

## Member Function Documentation

### QMouseDevice::QMouseDevice(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QMouseDevice.

### `[virtual]` int QMouseDevice::axisCount() const

Reimplemented from QAbstractPhysicalDevice::axisCount().

Returns the axis count.

Note: Currently always returns 2.

### `[virtual]` int QMouseDevice::axisIdentifier(const QString &name) const

Reimplemented from QAbstractPhysicalDevice::axisIdentifier().

Convert axis name to axis identifier.

### `[virtual]` QStringList QMouseDevice::axisNames() const

Reimplemented from QAbstractPhysicalDevice::axisNames().

Returns the names of the axis.

Note: Currently always returns StringList["X", "Y"]

### `[virtual]` int QMouseDevice::buttonCount() const

Reimplemented from QAbstractPhysicalDevice::buttonCount().

Returns the button count.

Note: Currently always returns 3.

### `[virtual]` QStringList QMouseDevice::buttonNames() const

Reimplemented from QAbstractPhysicalDevice::buttonNames().

Returns the names of the buttons.

Note: Currently always returns StringList["Left", "Right", "Center"]